[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# TListCallback

Method callback for list operations

## Declaration

Source position: types.pp line 174

`type TListCallback = procedure(`
`data: pointer;`
`arg: pointer`
`) of object;`

## Description

TListCallback is the prototype for a Foreach operation on a list. It will be called with as Data the pointer in the list, and Arg will contain the extra user data added to the Foreach call. It can be used in methods of objects; for a version that can be used as a global procedure, see TListStaticCallback

## See also

TListStaticCallback |  | Callback for list operations